RPM packages dependencies issues

Hi,

as tested, currently its a bit odd to upgrade opendistro from 0.9.0 -> 1.0.0 in CentOS7 as there are unmet dependencies and one has to find out the proper supported versions.
This appears even within the opendistro based packages eg.: opendistro-sql-1.1.0.0 -> Requires: elasticsearch-oss = 7.1.1

The only way I figured out is the following sequence, but I assume that can vary on daily basis:

yum remove elasticsearch-oss
yum install elasticsearch-oss-7.0.1 opendistroforelasticsearch-1.0.0 opendistro-sql-1.0.0.0 opendistro-security-1.0.0.0

This has completed successfully:

[root@odfe ~]$ yum remove elasticsearch-oss
Loaded plugins: versionlock
Resolving Dependencies
--> Running transaction check
---> Package elasticsearch-oss.noarch 0:6.7.1-1 will be erased
--> Processing Dependency: elasticsearch-oss = 6.7.1 for package: opendistro-alerting-0.9.0.0-1.noarch
--> Processing Dependency: elasticsearch-oss = 6.7.1 for package: opendistro-performance-analyzer-0.9.0.0-1.noarch
--> Processing Dependency: elasticsearch-oss = 6.7.1 for package: opendistro-security-0.9.0.0-0.noarch
--> Processing Dependency: elasticsearch-oss = 6.7.1 for package: opendistroforelasticsearch-0.9.0-1.noarch
--> Processing Dependency: elasticsearch-oss = 6.7.1 for package: opendistro-sql-0.9.0.0-1.noarch
--> Running transaction check
---> Package opendistro-alerting.noarch 0:0.9.0.0-1 will be erased
---> Package opendistro-performance-analyzer.noarch 0:0.9.0.0-1 will be erased
---> Package opendistro-security.noarch 0:0.9.0.0-0 will be erased
---> Package opendistro-sql.noarch 0:0.9.0.0-1 will be erased
---> Package opendistroforelasticsearch.noarch 0:0.9.0-1 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                          Arch                    Version                     Repository                                                   Size
========================================================================================================================================================================
Removing:
 elasticsearch-oss                                noarch                  6.7.1-1                     @elasticsearch-6.x                                          103 M
Removing for dependencies:
 opendistro-alerting                              noarch                  0.9.0.0-1                   @opendistroforelasticsearch-artifacts-repo                  3.3 M
 opendistro-performance-analyzer                  noarch                  0.9.0.0-1                   @opendistroforelasticsearch-artifacts-repo                   12 M
 opendistro-security                              noarch                  0.9.0.0-0                   @opendistroforelasticsearch-artifacts-repo                   29 M
 opendistro-sql                                   noarch                  0.9.0.0-1                   @opendistroforelasticsearch-artifacts-repo                  6.6 M
 opendistroforelasticsearch                       noarch                  0.9.0-1                     @opendistroforelasticsearch-artifacts-repo                  0.0

Transaction Summary
========================================================================================================================================================================
Remove  1 Package (+5 Dependent packages)

Installed size: 154 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : opendistroforelasticsearch-0.9.0-1.noarch                                                                                                            1/6
  Erasing    : opendistro-alerting-0.9.0.0-1.noarch                                                                                                                 2/6
  Erasing    : opendistro-sql-0.9.0.0-1.noarch                                                                                                                      3/6
  Erasing    : opendistro-security-0.9.0.0-0.noarch                                                                                                                 4/6
  Erasing    : opendistro-performance-analyzer-0.9.0.0-1.noarch                                                                                                     5/6
Stopping elasticsearch service... OK
  Erasing    : elasticsearch-oss-6.7.1-1.noarch                                                                                                                     6/6
warning: file /var/run/elasticsearch: remove failed: No such file or directory
warning: /etc/elasticsearch/jvm.options saved as /etc/elasticsearch/jvm.options.rpmsave
warning: /etc/elasticsearch/elasticsearch.yml saved as /etc/elasticsearch/elasticsearch.yml.rpmsave
Deleting log directory... OK
  Verifying  : opendistro-alerting-0.9.0.0-1.noarch                                                                                                                 1/6
  Verifying  : elasticsearch-oss-6.7.1-1.noarch                                                                                                                     2/6
  Verifying  : opendistroforelasticsearch-0.9.0-1.noarch                                                                                                            3/6
  Verifying  : opendistro-performance-analyzer-0.9.0.0-1.noarch                                                                                                     4/6
  Verifying  : opendistro-sql-0.9.0.0-1.noarch                                                                                                                      5/6
  Verifying  : opendistro-security-0.9.0.0-0.noarch                                                                                                                 6/6

Removed:
  elasticsearch-oss.noarch 0:6.7.1-1

Dependency Removed:
  opendistro-alerting.noarch 0:0.9.0.0-1             opendistro-performance-analyzer.noarch 0:0.9.0.0-1             opendistro-security.noarch 0:0.9.0.0-0
  opendistro-sql.noarch 0:0.9.0.0-1                  opendistroforelasticsearch.noarch 0:0.9.0-1

Complete!


[root@odfe ~]$ yum install elasticsearch-oss-7.0.1 opendistroforelasticsearch-1.0.0  opendistro-sql-1.0.0.0 opendistro-security-1.0.0.0
Loaded plugins: versionlock
Resolving Dependencies
--> Running transaction check
---> Package elasticsearch-oss.x86_64 0:7.0.1-1 will be installed
---> Package opendistro-security.noarch 0:1.0.0.0-0 will be installed
---> Package opendistro-sql.noarch 0:1.0.0.0-1 will be installed
---> Package opendistroforelasticsearch.noarch 0:1.0.0-1 will be installed
--> Processing Dependency: opendistro-performance-analyzer < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-alerting < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-alerting >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Running transaction check
---> Package opendistro-alerting.noarch 0:1.0.0.0-1 will be installed
---> Package opendistro-job-scheduler.noarch 0:1.0.0.0-1 will be installed
---> Package opendistro-performance-analyzer.noarch 0:1.0.0.0-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                          Arch                    Version                      Repository                                                  Size
========================================================================================================================================================================
Installing:
 elasticsearch-oss                                x86_64                  7.0.1-1                      elasticsearch-7.x                                          254 M
 opendistro-security                              noarch                  1.0.0.0-0                    opendistroforelasticsearch-artifacts-repo                   26 M
 opendistro-sql                                   noarch                  1.0.0.0-1                    opendistroforelasticsearch-artifacts-repo                  6.0 M
 opendistroforelasticsearch                       noarch                  1.0.0-1                      opendistroforelasticsearch-artifacts-repo                  2.8 k
Installing for dependencies:
 opendistro-alerting                              noarch                  1.0.0.0-1                    opendistroforelasticsearch-artifacts-repo                  3.9 M
 opendistro-job-scheduler                         noarch                  1.0.0.0-1                    opendistroforelasticsearch-artifacts-repo                  217 k
 opendistro-performance-analyzer                  noarch                  1.0.0.0-1                    opendistroforelasticsearch-artifacts-repo                   15 M

Transaction Summary
========================================================================================================================================================================
Install  4 Packages (+3 Dependent packages)

Total download size: 305 M
Installed size: 479 M
Is this ok [y/d/N]: y
Downloading packages:
(1/7): opendistro-job-scheduler-1.0.0.0.rpm                                                                                                      | 217 kB  00:00:01
(2/7): opendistro-alerting-1.0.0.0.rpm                                                                                                           | 3.9 MB  00:00:08
(3/7): opendistro-performance-analyzer-1.0.0.0.rpm                                                                                               |  15 MB  00:00:26
(4/7): opendistro-sql-1.0.0.0.rpm                                                                                                                | 6.0 MB  00:00:10
(5/7): opendistroforelasticsearch-1.0.0.rpm                                                                                                      | 2.8 kB  00:00:00
(6/7): opendistro-security-1.0.0.0.rpm                                                                                                           |  26 MB  00:00:39
(7/7): elasticsearch-oss-7.0.1-x86_64.rpm                                                                                                        | 254 MB  00:02:55
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                   1.7 MB/s | 305 MB  00:02:55
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Creating elasticsearch group... OK
Creating elasticsearch user... OK
  Installing : elasticsearch-oss-7.0.1-1.x86_64                                                                                                                     1/7
### NOT starting on installation, please execute the following statements to configure elasticsearch service to start automatically using systemd
 sudo systemctl daemon-reload
 sudo systemctl enable elasticsearch.service
### You can start elasticsearch service by executing
 sudo systemctl start elasticsearch.service
  Installing : opendistro-sql-1.0.0.0-1.noarch                                                                                                                      2/7
  Installing : opendistro-job-scheduler-1.0.0.0-1.noarch                                                                                                            3/7
  Installing : opendistro-security-1.0.0.0-0.noarch                                                                                                                 4/7
OpenDistro for Elasticsearch Security Demo Installer
 ** Warning: Do not use on production or public reachable systems **
Basedir: /usr/share/elasticsearch
This script maybe require your root password for 'sudo' privileges
Elasticsearch install type: rpm/deb on CentOS Linux release 7.6.1810 (Core)
Elasticsearch config dir: /etc/elasticsearch
Elasticsearch config file: /etc/elasticsearch/elasticsearch.yml
Elasticsearch bin dir: /usr/share/elasticsearch/bin
Elasticsearch plugins dir: /usr/share/elasticsearch/plugins
Elasticsearch lib dir: /usr/share/elasticsearch/lib
Detected Elasticsearch Version: x-content-7.0.1
Detected Open Distro Security Version: 1.0.0.0

### Success
### Execute this script now on all your nodes and then start all nodes
### Open Distro Security will be automatically initialized.
### If you like to change the runtime configuration
### change the files in ../securityconfig and execute:
sudo "/usr/share/elasticsearch/plugins/opendistro_security/tools/securityadmin.sh" -cd "/usr/share/elasticsearch/plugins/opendistro_security/securityconfig" -icl -key "/etc/elasticsearch/kirk-key.pem" -cert "/etc/elasticsearch/kirk.pem" -cacert "/etc/elasticsearch/root-ca.pem" -nhnv
### or run ./securityadmin_demo.sh
### To use the Security Plugin ConfigurationGUI
### To access your secured cluster open https://<hostname>:<HTTP port> and log in with admin/admin.
### (Ignore the SSL certificate warning because we installed self-signed demo certificates)
  Installing : opendistro-alerting-1.0.0.0-1.noarch                                                                                                                 5/7
  Installing : opendistro-performance-analyzer-1.0.0.0-1.noarch                                                                                                     6/7
# Enabling opendistro performance analyzer to start and stop along with elasticsearch.service
  Installing : opendistroforelasticsearch-1.0.0-1.noarch                                                                                                            7/7
Created elasticsearch keystore in /etc/elasticsearch
  Verifying  : opendistro-sql-1.0.0.0-1.noarch                                                                                                                      1/7
  Verifying  : elasticsearch-oss-7.0.1-1.x86_64                                                                                                                     2/7
  Verifying  : opendistro-job-scheduler-1.0.0.0-1.noarch                                                                                                            3/7
  Verifying  : opendistro-security-1.0.0.0-0.noarch                                                                                                                 4/7
  Verifying  : opendistro-alerting-1.0.0.0-1.noarch                                                                                                                 5/7
  Verifying  : opendistro-performance-analyzer-1.0.0.0-1.noarch                                                                                                     6/7
  Verifying  : opendistroforelasticsearch-1.0.0-1.noarch                                                                                                            7/7

Installed:
  elasticsearch-oss.x86_64 0:7.0.1-1    opendistro-security.noarch 0:1.0.0.0-0    opendistro-sql.noarch 0:1.0.0.0-1    opendistroforelasticsearch.noarch 0:1.0.0-1

Dependency Installed:
  opendistro-alerting.noarch 0:1.0.0.0-1            opendistro-job-scheduler.noarch 0:1.0.0.0-1            opendistro-performance-analyzer.noarch 0:1.0.0.0-1

Complete!

However, if one tries the normal way it might end up in a dependency hell like below:

[root@odfe ~]$ yum install opendistroforelasticsearch
Loaded plugins: versionlock
Resolving Dependencies
--> Running transaction check
---> Package opendistroforelasticsearch.noarch 0:0.9.0-1 will be updated
---> Package opendistroforelasticsearch.noarch 0:1.0.0-1 will be an update
--> Processing Dependency: elasticsearch-oss = 7.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-sql >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-security >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-alerting >= 1.0.0 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Running transaction check
---> Package opendistro-alerting.noarch 0:0.9.0.0-1 will be updated
---> Package opendistro-alerting.noarch 0:1.0.0.0-1 will be an update
--> Processing Dependency: elasticsearch-oss = 7.0.1 for package: opendistro-alerting-1.0.0.0-1.noarch
---> Package opendistro-job-scheduler.noarch 0:1.0.0.0-1 will be installed
--> Processing Dependency: elasticsearch-oss = 7.0.1 for package: opendistro-job-scheduler-1.0.0.0-1.noarch
---> Package opendistro-performance-analyzer.noarch 0:0.9.0.0-1 will be updated
---> Package opendistro-performance-analyzer.noarch 0:1.0.0.0-1 will be an update
--> Processing Dependency: elasticsearch-oss = 7.0.1 for package: opendistro-performance-analyzer-1.0.0.0-1.noarch
---> Package opendistro-security.noarch 0:0.9.0.0-0 will be updated
--> Processing Dependency: opendistro-security < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
---> Package opendistro-security.noarch 0:1.1.0.0-0 will be an update
--> Processing Dependency: elasticsearch-oss = 7.1.1 for package: opendistro-security-1.1.0.0-0.noarch
---> Package opendistro-sql.noarch 0:0.9.0.0-1 will be updated
--> Processing Dependency: opendistro-sql < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
---> Package opendistro-sql.noarch 0:1.1.0.0-1 will be an update
--> Processing Dependency: elasticsearch-oss = 7.1.1 for package: opendistro-sql-1.1.0.0-1.noarch
---> Package opendistroforelasticsearch.noarch 0:1.0.0-1 will be an update
--> Processing Dependency: elasticsearch-oss = 7.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-sql < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Processing Dependency: opendistro-security < 1.0.1 for package: opendistroforelasticsearch-1.0.0-1.noarch
--> Finished Dependency Resolution
Error: Package: opendistro-performance-analyzer-1.0.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.0.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistro-security-1.1.0.0-0.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.1.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistro-sql-1.1.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.1.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistro-job-scheduler-1.0.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.0.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistro-alerting-1.0.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.0.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistroforelasticsearch-1.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: opendistro-security < 1.0.1
           Removing: opendistro-security-0.9.0.0-0.noarch (@opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 0.9.0.0-0
           Updated By: opendistro-security-1.1.0.0-0.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 1.1.0.0-0
           Available: opendistro-security-0.7.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 0.7.0.0-1
           Available: opendistro-security-0.7.0.1-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 0.7.0.1-1
           Available: opendistro-security-0.8.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 0.8.0.0-1
           Available: opendistro-security-1.0.0.0-0.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-security = 1.0.0.0-0
Error: Package: opendistroforelasticsearch-1.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: elasticsearch-oss = 7.0.1
           Installed: elasticsearch-oss-6.7.1-1.noarch (@elasticsearch-6.x)
               elasticsearch-oss = 6.7.1-1
           Available: elasticsearch-oss-6.3.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.0-1
           Available: elasticsearch-oss-6.3.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.1-1
           Available: elasticsearch-oss-6.3.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.3.2-1
           Available: elasticsearch-oss-6.4.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.0-1
           Available: elasticsearch-oss-6.4.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.1-1
           Available: elasticsearch-oss-6.4.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.2-1
           Available: elasticsearch-oss-6.4.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.4.3-1
           Available: elasticsearch-oss-6.5.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.0-1
           Available: elasticsearch-oss-6.5.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.1-1
           Available: elasticsearch-oss-6.5.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.2-1
           Available: elasticsearch-oss-6.5.3-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.3-1
           Available: elasticsearch-oss-6.5.4-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.5.4-1
           Available: elasticsearch-oss-6.6.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.0-1
           Available: elasticsearch-oss-6.6.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.1-1
           Available: elasticsearch-oss-6.6.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.6.2-1
           Available: elasticsearch-oss-6.7.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.0-1
           Available: elasticsearch-oss-6.7.2-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.7.2-1
           Available: elasticsearch-oss-6.8.0-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.0-1
           Available: elasticsearch-oss-6.8.1-1.noarch (elasticsearch-6.x)
               elasticsearch-oss = 6.8.1-1
           Available: elasticsearch-oss-7.0.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.0-1
           Available: elasticsearch-oss-7.0.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.0.1-1
           Available: elasticsearch-oss-7.1.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.0-1
           Available: elasticsearch-oss-7.1.1-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.1.1-1
           Available: elasticsearch-oss-7.2.0-1.x86_64 (elasticsearch-7.x)
               elasticsearch-oss = 7.2.0-1
Error: Package: opendistroforelasticsearch-1.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
           Requires: opendistro-sql < 1.0.1
           Removing: opendistro-sql-0.9.0.0-1.noarch (@opendistroforelasticsearch-artifacts-repo)
               opendistro-sql = 0.9.0.0-1
           Updated By: opendistro-sql-1.1.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-sql = 1.1.0.0-1
           Available: opendistro-sql-0.7.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-sql = 0.7.0.0-1
           Available: opendistro-sql-0.8.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-sql = 0.8.0.0-1
           Available: opendistro-sql-1.0.0.0-1.noarch (opendistroforelasticsearch-artifacts-repo)
               opendistro-sql = 1.0.0.0-1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest